=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2007-09-07 16:41:32 +0000
+++ loggerhead/changecache.py	2008-02-27 03:35:24 +0000
@@ -26,13 +26,10 @@
 """
 
 import cPickle
-import logging
 import os
-import threading
 import time
 
 from loggerhead import util
-from loggerhead.util import decorator
 from loggerhead.lockfile import LockFile
 
 

=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2007-06-19 00:27:53 +0000
+++ loggerhead/controllers/__init__.py	2008-02-27 03:35:24 +0000
@@ -20,17 +20,14 @@
 import logging
 import os
 import re
-import sys
-import time
 
 import turbogears
 from turbogears import controllers
-from cherrypy import NotFound
 from configobj import ConfigObj
 
 from loggerhead import util
 from loggerhead.branchview import BranchView
-from loggerhead.history import History, is_branch
+from loggerhead.history import is_branch
 
 log = logging.getLogger("loggerhead.controllers")
 

=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2007-08-23 12:18:18 +0000
+++ loggerhead/controllers/annotate_ui.py	2008-02-27 03:35:24 +0000
@@ -17,15 +17,13 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import datetime
 import logging
 import os
 import posixpath
-import textwrap
 import time
 
 import turbogears
-from cherrypy import HTTPError, InternalError, session
+from cherrypy import HTTPError
 
 from loggerhead import util
 

=== modified file 'loggerhead/controllers/atom_ui.py'
--- loggerhead/controllers/atom_ui.py	2007-08-30 11:39:10 +0000
+++ loggerhead/controllers/atom_ui.py	2008-02-27 03:35:24 +0000
@@ -17,7 +17,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import cherrypy
 import turbogears
 
 from loggerhead import util

=== modified file 'loggerhead/controllers/bundle_ui.py'
--- loggerhead/controllers/bundle_ui.py	2007-09-04 04:36:24 +0000
+++ loggerhead/controllers/bundle_ui.py	2008-02-27 03:35:24 +0000
@@ -16,14 +16,11 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import os
 import time
 
 import turbogears
 from cherrypy import HTTPRedirect, InternalError, response
 
-from loggerhead import util
-
 
 class BundleUI (object):
 

=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2008-02-27 02:36:16 +0000
+++ loggerhead/controllers/changelog_ui.py	2008-02-27 03:35:24 +0000
@@ -17,11 +17,10 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import os
 import time
 
 import turbogears
-from cherrypy import InternalError, session
+from cherrypy import InternalError
 
 from loggerhead import util
 

=== modified file 'loggerhead/controllers/download_ui.py'
--- loggerhead/controllers/download_ui.py	2007-08-23 12:18:18 +0000
+++ loggerhead/controllers/download_ui.py	2008-02-27 03:35:24 +0000
@@ -17,18 +17,12 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import datetime
 import logging
 import mimetypes
-import os
-import posixpath
-import textwrap
 import time
 
 import turbogears
-from cherrypy import HTTPRedirect, response, session
-
-from loggerhead import util
+from cherrypy import HTTPRedirect, response
 
 
 log = logging.getLogger("loggerhead.controllers")

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2007-08-22 22:39:43 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-02-27 03:35:24 +0000
@@ -17,15 +17,12 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import datetime
 import logging
-import os
 import posixpath
-import textwrap
 import time
 
 import turbogears
-from cherrypy import InternalError, session
+from cherrypy import InternalError
 
 from loggerhead import util
 

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2007-09-04 04:36:24 +0000
+++ loggerhead/controllers/revision_ui.py	2008-02-27 03:35:24 +0000
@@ -17,14 +17,10 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import datetime
-import logging
-import os
-import textwrap
 import time
 
 import turbogears
-from cherrypy import InternalError, session
+from cherrypy import InternalError
 
 from loggerhead import util
 

=== modified file 'loggerhead/daemon.py'
--- loggerhead/daemon.py	2007-06-18 23:07:53 +0000
+++ loggerhead/daemon.py	2008-02-27 03:35:24 +0000
@@ -1,7 +1,6 @@
 # daemon code from ASPN
 
 import os
-import sys
 
 
 def daemonize(pidfile, home):

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-02-27 03:13:45 +0000
+++ loggerhead/history.py	2008-02-27 03:35:24 +0000
@@ -27,14 +27,9 @@
 
 
 import bisect
-import cgi
 import datetime
 import logging
-import os
-import posixpath
 import re
-import shelve
-import sys
 import textwrap
 import threading
 import time
@@ -44,15 +39,12 @@
 from loggerhead.util import decorator
 
 import bzrlib
-import bzrlib.annotate
 import bzrlib.branch
 import bzrlib.bundle.serializer
-import bzrlib.decorators
 import bzrlib.diff
 import bzrlib.errors
 import bzrlib.progress
 import bzrlib.revision
-import bzrlib.textfile
 import bzrlib.tsort
 import bzrlib.ui
 

=== modified file 'loggerhead/textindex.py'
--- loggerhead/textindex.py	2007-08-28 16:11:01 +0000
+++ loggerhead/textindex.py	2008-02-27 03:35:24 +0000
@@ -25,14 +25,11 @@
     - index: 3-letter substring -> list(revids)
 """
 
-import logging
 import os
 import re
-import threading
 import time
 
 from loggerhead import util
-from loggerhead.util import decorator
 from loggerhead.lockfile import LockFile
 from loggerhead.changecache import FakeShelf
 

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2007-09-04 17:06:03 +0000
+++ loggerhead/util.py	2008-02-27 03:35:24 +0000
@@ -29,8 +29,6 @@
 import time
 import traceback
 
-import turbogears
-
 
 log = logging.getLogger("loggerhead.controllers")
 

